Subject: Re: [Gen-art] Gen-ART Telechat review of draft-ietf-i2rs-yang-dc-fabric-network-topology-07

From: "Zhuangyan (Yan)" <[email-masked]>
Date: Mon, 2 Apr 2018 03:09:45 +0000

Hi Paul,

Thank you very much for your review and comments.
Some responses below.

Best Regards,

Yan

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: Sunday, April 01, 2018 1:20 AM
To: [email-masked]
Cc: General Area Review Team <[email-masked]>
Subject: Gen-ART Telechat review of draft-ietf-i2rs-yang-dc-fabric-network-topology-07

I am the assigned Gen-ART reviewer for this draft. The General Area Review Team (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF Chair. Please wait for direction from your document shepherd or AD before posting a new version of the draft. For more information, please see the FAQ at <​http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Document: draft-ietf-i2rs-yang-dc-fabric-network-topology-07
Reviewer: Paul Kyzivat
Review Date: 2018-03-31
IETF LC End Date: 2018-04-03
IESG Telechat date: 2018-04-05

Summary:

This draft is basically ready for publication, but has nits that should be fixed before publication.

Disclaimer:

I conducted this review without any knowledge of YANG modeling. So the sort of review I can do is superficial.

Issues:

Major: 0
Minor: 0
Nits:  4

(1) NIT:

In my opinion many of the normative references aren't actually normative, and can/should be changed to informative references. In particular the following all seem likely candidates: RFC5246 (TLS),
RFC6241 and RFC6242 (NETCONF), RFC8040 (RESTCONF), RFC8342 (NMDA), RFC8346. There may be others.
[Yan] For RFC5246 (TLS), RFC6241, RFC6242 (NETCONF), RFC8040 (RESTCONF) and RFC8342 (NMDA), they are building blocks for YANG module usage and definition, hence referenced as normative.
For RFC8346, RFC8344, we agree that they would better be used as informative here and will move them to informative part.

(2) NIT:

In the IANA Considerations section the formatting is hard to read. 
Distinct elements for the registry (e.g., "URI:" and "Registrant
Contact:") are run together. For readability they should be on separate lines.
[Yan] fixed.

(3) NIT:

IdNits reports 3 errors and 7 warnings, regarding long lines, references that are missing, unused, obsolete, and a downref. Please fix the errors and review the warnings.
[Yan] I checked v-07 with idnits 2.15.01, there is no errors/warnings or nits found...can you direct me to the tool you use?

(4) NIT:

In the title of section 2:

s/Definitions an Acronyms/Definitions and Acronyms/
[Yan] fixed.

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 3 Apr 2018 11:26:55 -0400

> [Yan] For RFC5246 (TLS), RFC6241, RFC6242 (NETCONF), RFC8040 (RESTCONF) and RFC8342 (NMDA), they are building blocks for YANG module usage and definition, hence referenced as normative.

I get your point, but as best I can tell there is no normative 
dependency on any of them. They are all *possible* substrates for using 
this work, but none of them are required.

But it is your call.

> [Yan] I checked v-07 with idnits 2.15.01, there is no errors/warnings or nits found...can you direct me to the tool you use?

I'm sorry. I actually reviewed -08, even though my message said I 
reviewed -07. I looked at the HTMLized version:

https://tools.ietf.org/html/draft-ietf-i2rs-yang-dc-fabric-network-topology-08

and then cliced [Nits] at the top:

https://tools.ietf.org/idnits?url=https://tools.ietf.org/id/draft-ietf-i2rs-yang-dc-fabric-network-topology-08.txt

	Thanks,
	Paul

---

From: "Zhuangyan (Yan)" <[email-masked]>
Date: Wed, 4 Apr 2018 09:29:46 +0000

Hi Paul,

Thank you very much for the reply. We will fix those nits in next version.
Some replies below.

Best Regards,

Yan

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: Tuesday, April 03, 2018 11:27 PM
To: Zhuangyan (Yan) <[email-masked]>; [email-masked]
Cc: General Area Review Team <[email-masked]>
Subject: Re: Gen-ART Telechat review of draft-ietf-i2rs-yang-dc-fabric-network-topology-07

On 4/1/18 11:09 PM, Zhuangyan (Yan) wrote:
> Subject: Gen-ART Telechat review of 
> draft-ietf-i2rs-yang-dc-fabric-network-topology-07
> 
> In my opinion many of the normative references aren't actually 
> normative, and can/should be changed to informative references. In 
> particular the following all seem likely candidates: RFC5246 (TLS),

I get your point, but as best I can tell there is no normative dependency on any of them. They are all *possible* substrates for using this work, but none of them are required.

But it is your call.
[Yan] Thank you : ) we will follow relative RFCs to keep aligned.

> [Yan] I checked v-07 with idnits 2.15.01, there is no errors/warnings or nits found...can you direct me to the tool you use?

I'm sorry. I actually reviewed -08, even though my message said I reviewed -07. I looked at the HTMLized version:

https://tools.ietf.org/idnits?url=https://tools.ietf.org/id/draft-ietf-i2rs-yang-dc-fabric-network-topology-08.txt
[Yan] thanks a lot. We'll fix them in next version.

	Thanks,
	Paul